
    
<!-- 
   <ng-template  #tpl let-element > 
    <div >
      test detail
    </div>
  </ng-template> -->
  <mat-table [dataSource]="dataSource" multiTemplateDataRows class="mat-elevation-z8">
  <ng-container matColumnDef="{{column}}" *ngFor="let column of columnsToDisplay">
    <mat-header-cell *matHeaderCellDef> {{column}} </mat-header-cell>
    <mat-cell *matCellDef="let element"> {{element[column]}} </mat-cell>
  </ng-container>
  <!-- <ng-container matColumnDef="expandedDetail" >
    <ng-template  #tpl let-element > 

  </ng-container> -->
  <!-- <ng-container matColumnDef="expandedDetail" >
    <td mat-cell *matCellDef="let customer" [attr.colspan]="4">
      <div class="example-element-detail" [@detailExpand]="customer == expandedRow ? 'expanded' : 'collapsed'">
        <div>
          <div>
            {{customer?.billingAddress}} 
          </div>
          <div>
            <mat-slide-toggle [(ngModel)]="customer.status" name= "status">Status</mat-slide-toggle>
          </div>
        </div>
      </div>
  </ng-container> -->
  <mat-header-row *matHeaderRowDef="columnsToDisplay"></mat-header-row>
  <mat-row *matRowDef="let row; columns: columnsToDisplay;" class="example-element-row"
    [class.example-expanded-row]="expandedRow === row"
     [cdkDetailRow]="row" [cdkDetailRowTpl]="tpl" (isOpened)="isOpened($event,row)" >
    <ng-template  #tpl let-element > 
      <app-dynamic-detail-row [data] = "element"></app-dynamic-detail-row>
    </ng-template>
   </mat-row>
  <!-- <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="example-detail-row"></tr> -->
</mat-table>
